<?php
/** @noinspection PhpDeprecationInspection */
declare (strict_types = 1);

namespace EuKit\Base\ViewModels;

use EuKit\Base\Interfaces\ViewModel;
use Infomaker\Everyware\Support\GenericPropertyObject;

class BaseObject implements ViewModel
{
    protected $viewData;

    public function __construct(GenericPropertyObject $object)
    {
        $this->viewData = $object;
    }

    public function getViewData(): array
    {
        return $this->viewData->toArray();
    }

    public function setViewData($property, $data): void
    {
        $this->viewData->fill([$property => $data]);
    }
}
